Bug 1003235 - [abrt] policycoreutils-devel-2.1.14-75.fc20: OpenSSLDie: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] policycoreutils-devel-2.1.14-75.fc20: OpenSSLDie: Process /usr/bin/pyt...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
abrt_hash:2d5dbf8bca117953847f775ffe3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 04:11 EDT by Elad Alfassa
Modified: 2015-03-27 07:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-27 07:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.15 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: core_backtrace (22.43 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: dso_list (3.05 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: environ (2.09 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: maps (10.37 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: open_fds (342 bytes, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2013-09-01 04:11 EDT, Elad Alfassa
no flags Details

  None (edit)
Description Elad Alfassa 2013-09-01 04:11:19 EDT
Description of problem:
Run yum update, this happened.

  Updating   : selinux-policy-devel-3.12.1-74.fc20.noarch                21/167 
/var/tmp/rpm-tmp.nRmb2e: line 1:  3266 Aborted                 (core dumped) /usr/bin/sepolgen-ifgen 2> /dev/null

Version-Release number of selected component:
policycoreutils-devel-2.1.14-75.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/bin/sepolgen-ifgen
crash_function: OpenSSLDie
executable:     /usr/bin/python2.7
kernel:         3.11.0-0.rc7.git1.1.fc20.x86_64
runlevel:       unknown
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 OpenSSLDie at cryptlib.c:919
 #3 FIPS_selftest_check at fips.c:137
 #4 init_fips_mode at o_init.c:78
 #5 OPENSSL_init_library at o_init.c:118
 #6 call_init at dl-init.c:82
 #8 _dl_init at dl-init.c:130
 #9 dl_open_worker at dl-open.c:566
 #10 _dl_catch_error at dl-error.c:177
 #11 _dl_open at dl-open.c:650
 #12 dlopen_doit at dlopen.c:66
Comment 1 Elad Alfassa 2013-09-01 04:11:23 EDT
Created attachment 792529 [details]
File: backtrace
Comment 2 Elad Alfassa 2013-09-01 04:11:27 EDT
Created attachment 792530 [details]
File: cgroup
Comment 3 Elad Alfassa 2013-09-01 04:11:31 EDT
Created attachment 792531 [details]
File: core_backtrace
Comment 4 Elad Alfassa 2013-09-01 04:11:34 EDT
Created attachment 792532 [details]
File: dso_list
Comment 5 Elad Alfassa 2013-09-01 04:11:37 EDT
Created attachment 792533 [details]
File: environ
Comment 6 Elad Alfassa 2013-09-01 04:11:41 EDT
Created attachment 792534 [details]
File: limits
Comment 7 Elad Alfassa 2013-09-01 04:11:45 EDT
Created attachment 792535 [details]
File: maps
Comment 8 Elad Alfassa 2013-09-01 04:11:49 EDT
Created attachment 792536 [details]
File: open_fds
Comment 9 Elad Alfassa 2013-09-01 04:11:52 EDT
Created attachment 792537 [details]
File: proc_pid_status
Comment 10 Daniel Walsh 2013-09-04 15:19:54 EDT
This looks like it is a bug in python-libs hashlib.

All my python code is using is 

hashlib.sha256()
Comment 11 Bohuslav "Slavek" Kabrda 2015-03-27 05:03:54 EDT
This seems to be a problem in openssl, not in Python. Reassigning.
Note: this line from backtrace seems to hold important info:

#2  0x00007f0d626cb89f in OpenSSLDie (file=file@entry=0x7f0d627cea34 "fips.c", line=line@entry=137, assertion=assertion@entry=0x7f0d627cea3b "FATAL FIPS SELFTEST FAILURE") at cryptlib.c:919
Comment 12 Tomas Mraz 2015-03-27 07:46:17 EDT
Do you have dracut-fips package installed? If yes either uninstall it or undo prelinkinig (prelink -u -a) and uninstall prelink.
Comment 13 Elad Alfassa 2015-03-27 07:52:24 EDT
This is an old bug... I've reinstalled my computer a couple of times since then, and haven't seen this crash since.

Closing.

Note You need to log in before you can comment on or make changes to this bug.